
Redmine - Feature #3110

Filter on date range (eg. Created and Updated fields)

2009-04-02 23:59 - James Robertson

Status: Closed Start date: 2009-04-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I need to be able to filter for issues/tickets within a specific range of dates (eg. issue closed last month).

When filtering date fields (Updated, Created, etc.), instead of specifying the number of days ago, I would much prefer to be able to

specify an end date and a start date.

A useful addition to this would be a simple set of options to pre-populate such a date range (such as 'this week', 'this month', 'last

week', 'last month', etc.).

Related issues:

Is duplicate of Redmine - Feature #6954: Filter from date to date Closed 2010-11-22

History

#1 - 2009-07-09 10:03 - Mikko Ruohola

- File filters.rhtml.patch added

- File query.rb.patch added

I've done something similiar for the new svn trunk version. Because my boss needed last months tickets(and this months..)

and it's not pretty.

Sorry that patches are in seperate files... I don't really get along with Solaris diff/patch stuff.. ;)

#2 - 2009-07-09 10:08 - Mikko Ruohola

Mikko Ruohola wrote:

I've done something similiar for the new svn trunk version. Because my boss needed last months tickets(and this months..)

 Sorry, I forgot to mentions the details of the patch:

It adds "Last Month" and "This Month" filters to issues.

#3 - 2011-05-18 21:23 - Etienne Massip

- Target version set to Candidate for next major release

#4 - 2011-09-28 15:31 - Gerry Hawkins

Would this workflow add a calendar option to the created/updated type fields to allow for a search like: created since <calendar date>? Or would that

be better as a separate request?

#5 - 2011-09-28 17:17 - Mischa The Evil

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

- Resolution set to Duplicate

This has been already implemented for issue #6954 with r6226 in the current Redmine trunk which will evolve into Redmine 1.3.0 eventually.

#6 - 2011-09-28 17:26 - Gerry Hawkins
https://www.redmine.org/issues/6954
https://www.redmine.org/projects/redmine/repository/svn/revisions/6226
https://www.redmine.org/versions/36


Great! Looking forward to 1.3.

Thanks Mischa.

#7 - 2011-09-28 22:04 - James Robertson

Sounds great. Looking forward to it.

Thanks Mischa and Jean-Philippe.

Files

filters.rhtml.patch 333 Bytes 2009-07-09 Mikko Ruohola

query.rb.patch 2.49 KB 2009-07-09 Mikko Ruohola
